#!/usr/bin/bash
set -e

cd "$(dirname "$0")/../submodules"

echo_status() {
  echo
  echo
  echo "-> $1..."
}

if [ ! -d "Vencord" ]; then
  echo_status "Cloning Vencord"
  git clone https://github.com/Vendicated/Vencord.git
  cd Vencord
else
  echo_status "Fetching Vencord changes"
  cd Vencord
  git fetch
fi

echo_status "Checking out latest commit"
git reset --hard HEAD
git checkout main
#git reset --hard devbuild

echo_status "Installing dependencies"
pnpm i

echo_status "Patching Vencord"
cp -v ../../assets/vencord/plugin.js ./src/plugins/discord-screenaudio.js
cp -v ../../assets/vencord/VencordNativeStub.ts ./browser/VencordNativeStub.ts
patch -p1 -i ../../assets/vencord/settings.patch

echo_status "Building Vencord"
pnpm run buildWeb

echo_status "Copying built file"
cp -v ./dist/browser.js ../../assets/vencord/vencord.js
