#ifndef CENTRALWIDGET_H
#define CENTRALWIDGET_H

#include <QLabel>
#include <QVBoxLayout>
#include <QWebEnginePage>
#include <QWebEngineProfile>
#include <QWebEngineView>
#include <QWidget>

#ifdef KNOTIFICATIONS
constexpr bool USE_KF5_NOTIFICATIONS = true;
#else
constexpr bool USE_KF5_NOTIFICATIONS = false;
#endif

class CentralWidget : public QWidget {
  Q_OBJECT

public:
  CentralWidget(QWidget *parent = nullptr);

public slots:
  void setLoadingIndicator(QString text);

private:
  void setupWebView();

  QVBoxLayout *m_layout;
  QWebEngineView *m_webView;
  QLabel *m_loadingLabel;
  bool m_useKF5Notifications;
};

#endif // CENTRALWIDGET_H
